import { request } from "@/utils/request"


/**
 * 签到 小程序
 * wxb21c3e030b8af425  书券大礼包 
 * wx162370635292eef2  超多书币享不停(签到)
 * wx9ba912437abd9848  书币礼包大派送(签到)
 */
export let config = {
	appid: 'wxb21c3e030b8af425'
}

// 获取openId
export async function getOpenId(data) {
	return request({url: `/applet/openId`, data})
}

// 获取首页信息
export async function getHome(data) {
	return request({url: `/sign/in/home`, data})
}

// 签到
export async function signInAjax(data) {
	return request({url: `/sign/in/login`, data, method: 'PUT'})
}

// 获取签到记录列表
export async function getSignList(data) {
	return request({url: `/sign/in/login/record`, data})
}


// 签到提醒
export async function setMessage(data) {
	return request({url: `/sign/in/login/remind`, data})
}

// 获取签到提醒的模板ID
export async function getTemplateIDs(data) {
	return request({url: `/sign/in/login/remind/template`, data})
}

// 书币充值失败重新领取
export async function setReClaim(data) {
	return request({url: `/sign/in/login/reClaim`, data})
}


// 开关更新
export async function switchUpdate(data) {
	return request({url: `/sign/in/login/switch/update`, data, method: 'PUT'})
}

// 获取公众号文章
export async function getUrl(data) {
	return request({url: `/applet/mp/url`, data})
}